Bulk Edit Projects
curl --request PATCH \
--url https://api.example.com/api/agent/deployments/{deploymentId}/repos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": 123,
"changes": [
{
"repoId": 555,
"change": {
"updateTags": true,
"tags": [
"<string>"
],
"managedScans": {
"diffScan": true,
"numConfigs": 123,
"fullScan": true
},
"aiScans": {
"fullScan": true
}
}
}
]
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/repos"
payload = {
"deploymentId": 123,
"changes": [
{
"repoId": 555,
"change": {
"updateTags": True,
"tags": ["<string>"],
"managedScans": {
"diffScan": True,
"numConfigs": 123,
"fullScan": True
},
"aiScans": { "fullScan": True }
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: 123,
changes: [
{
repoId: 555,
change: {
updateTags: true,
tags: ['<string>'],
managedScans: {diffScan: true, numConfigs: 123, fullScan: true},
aiScans: {fullScan: true}
}
}
]
})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/repos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedRepoNames": [
"my-repo",
"my-other-repo"
]
}Projects
Bulk Edit Projects
Applies changes to multiple specified projects at once.
PATCH
/
api
/
agent
/
deployments
/
{deploymentId}
/
repos
Bulk Edit Projects
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier for the deployment.
Example:
123
Body
application/json
Response
200 - application/json
OK
The names of the repositories that were updated.
Example:
["my-repo", "my-other-repo"]
Was this page helpful?
⌘I